Index: Makefile.in
===================================================================
RCS file: /cvs/cygwin-apps/rebase/Makefile.in,v
retrieving revision 1.8
diff -u -p -r1.8 Makefile.in
--- Makefile.in	3 Aug 2011 13:40:16 -0000	1.8
+++ Makefile.in	22 Sep 2011 17:52:00 -0000
@@ -83,11 +83,12 @@ REBASE_DUMP_LIBS =
 PEFLAGS_OBJS = peflags.$(O) $(LIBOBJS)
 PEFLAGS_LIBS =
 
-SRC_DISTFILES = aclocal.m4 configure.ac configure Makefile.in \
+SRC_DISTFILES = configure.ac configure Makefile.in \
 	peflagsall.in rebaseall.in peflags.c rebase.c \
 	build.sh ChangeLog COPYING NEWS README setup.hint Todo \
 	build-aux/config.guess build-aux/config.sub \
-	build-aux/install-sh getopt.h_ getopt_long.c
+	build-aux/install-sh getopt.h_ getopt_long.c \
+	rebase-db.c rebase-db.h rebase-dump.c strtoll.c
 
 all: libimagehelper rebase$(EXEEXT) rebase-dump$(EXEEXT) \
   peflags$(EXEEXT) rebaseall peflagsall
Index: NEWS
===================================================================
RCS file: /cvs/cygwin-apps/rebase/NEWS,v
retrieving revision 1.3
diff -u -p -r1.3 NEWS
--- NEWS	5 Aug 2011 15:43:23 -0000	1.3
+++ NEWS	22 Sep 2011 17:52:00 -0000
@@ -1,12 +1,44 @@
 $Id: NEWS,v 1.3 2011/08/05 15:43:23 cwilson Exp $
 
-x.y.z
+4.0
 ==============================================================================
-    * rebase and peflags now support operations on 64bit objects
-    * New database functionality (see README)
-    * New developer application rebase-dump for displaying database contents
-    * New platform support: x86_64-w64-mingw32, i686-pc-msys
-    * Many algorithm improvements
+    * rebase and peflags now support operations on 64 bit objects.
+
+    * New rebase database functionality (see README).
+
+    * New developer application rebase-dump for displaying database contents.
+
+    * New platform support: x86_64-w64-mingw32, i686-pc-msys.
+
+    * peflags now supports short options for almost all flags.
+      peflags -v prints detailed information about the flags set in the
+      file header.
+
+    * rebase now supports long options including improved -h/--help
+      information.
+
+    * rebase -s/--database allows to keep a database of rebased DLLs.
+      This information is used in subsequent calls with the -s/--database
+      option to keep the entire list of DLLs in a good shape, address-wise.
+
+    * rebase -i/--info prints base address and size of DLLs given on
+      the command line, sorted by base address.  A trailing '*' in the
+      last column is printed if a DLL collides with another adjacent DLL
+      in the list.  rebase -i -s can be used to check if the DLLs in the
+      database are still in a good shape.
+
+    * On Cygwin, rebase actively avoids colliding with the Cygwin DLL
+      it is running under.
+
+    * rebaseall skips mingw directories automatically.
+
+    * rebaseall now uses the new rebase database facility.
+
+    * The imagehelper library has been much improved:
+      - Now supports reading and rebasing 64 bit binaries.
+      - New functions ReBaseImage64 and GetImageInfos64.
+      - Support long paths up to 32K characters.
+      - General API cleanup.
 
 3.0.2
 ==============================================================================
Index: configure.ac
===================================================================
RCS file: /cvs/cygwin-apps/rebase/configure.ac,v
retrieving revision 1.4
diff -u -p -r1.4 configure.ac
--- configure.ac	29 Jul 2011 13:17:44 -0000	1.4
+++ configure.ac	22 Sep 2011 17:52:00 -0000
@@ -2,7 +2,7 @@
 # configure.ac for rebase
 
 AC_PREREQ([2.64])
-AC_INIT([rebase], [3.0.2], [cygwin@cygwin.com])
+AC_INIT([rebase], [4.0], [cygwin@cygwin.com])
 AC_CONFIG_AUX_DIR([build-aux])
 AC_CONFIG_SRCDIR([peflags.c])
 AC_PREFIX_DEFAULT([/usr])
Index: imagehelper/Makefile.in
===================================================================
RCS file: /cvs/cygwin-apps/rebase/imagehelper/Makefile.in,v
retrieving revision 1.5
diff -u -p -r1.5 Makefile.in
--- imagehelper/Makefile.in	29 Jul 2011 13:17:44 -0000	1.5
+++ imagehelper/Makefile.in	22 Sep 2011 17:52:00 -0000
@@ -9,7 +9,7 @@ PACKAGE_STRING = @PACKAGE_STRING@
 PACKAGE_TARNAME = @PACKAGE_TARNAME@
 PACKAGE_URL = @PACKAGE_URL@
 PACKAGE_VERSION = @PACKAGE_VERSION@
-LIB_VERSION=0.9
+LIB_VERSION=0.10
 
 srcdir = @srcdir@
 abs_srcdir = @abs_srcdir@
